<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_TA_UI_BulkEmployeeConfiguration, App_Web_fkaib502" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <!--[if gt IE 5.5]>
        <link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
        <link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
    <![endif]-->

    <script language="javascript" src="../js/jquery.autocomplete.js" type="text/javascript"></script>

    <%-- <script type="text/javascript">
        if (navigator.userAgent.toLowerCase().indexOf('chrome') != -1)
            document.write('<link href="../css/safari.css" rel="stylesheet" type="text/css" />');
    </script>--%>

    <div class="content-header">
        <h1 style="padding-right:0px">
            <asp:Label ID="lbl_Header" runat="server" Text="Bulk Configuration"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                        <h6>
                            <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px">
                                <asp:Label ID="lblMandatoryFields" Visible="True" runat="server" Text="Mandatory"></asp:Label>
                                (3 No.)</span>
                        </h6>
                    </div>
                </div>
                <div class="clearfix">
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row">
                    <div class="col-md-12">
                        <div class="row form-group">
                            <div class="col-md-3">
                                <span style="color: Red">|</span>
                                <asp:Label ID="lblImportFilePath" runat="server" Text="Select Excel File"></asp:Label>
                            </div>
                            <div class="col-md-5">
                                <asp:FileUpload ID="fup_BulkImport" runat="server" CssClass="form-control" />
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-3">
                                <asp:Label ID="lblEligible" runat="server" Text="Category"></asp:Label>

                            </div>
                            <div class="col-md-5">
                                <asp:DropDownList ID="ddlchange" runat="server" CssClass="form-control select2 Man-dat">
                                    <asp:ListItem Text="-Select-" Value="0" Selected="true"></asp:ListItem>
                                    <asp:ListItem Text="Over Time Eligible" Value="1"></asp:ListItem>
                                    <asp:ListItem Text="Comp off  Eligible" Value="2"></asp:ListItem>
                                    <asp:ListItem Text="Over Time & Comp off  Eligible" Value="3"></asp:ListItem>
                                    <asp:ListItem Text="Report Exclude" Value="4"></asp:ListItem>
                                    <%--<asp:ListItem Text="Fleible Timings" Value="5"></asp:ListItem>--%>
                                    <asp:ListItem Text="Hostel" Value="6"></asp:ListItem>
                                </asp:DropDownList>
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-md-3">
                                <span style="color: Red">|</span>
                                <asp:Label ID="lblChange" runat="server" Text="Change the status From "></asp:Label>
                            </div>
                            <div class="col-md-5 pad-left-0px">
                                <div class="col-md-3">
                                    <asp:RadioButton ID="rdby2n" runat="server" Text="Yes" GroupName="ChangeStatus" CssClass="radio radio-primary" />
                                </div>
                                <div class="col-md-3">
                                    <asp:RadioButton ID="rdbn2y" runat="server" Text="No" GroupName="ChangeStatus" CssClass="radio radio-primary" />
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8">
                                <div class="pull-right-button">
                                    <asp:LinkButton ID="btn_Template" CssClass="btn save-btn fa-download" runat="server"
                                        Text="&nbsp;&nbsp;Download Template" OnClick="btn_Template_Click" />
                                    <asp:LinkButton ID="btn_Upload" CssClass="btn save-btn fa-upload" runat="server"
                                        Text="&nbsp;&nbsp;Upload" OnClick="btn_Upload_Click" />
                                    <asp:LinkButton ID="btnBack" CssClass="btn save-btn fa-angle-left" runat="server"
                                        Text="&nbsp;&nbsp;Back" OnClick="btnBack_Click" />
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
