﻿<%@ page title="" language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="MyCalendar, App_Web_gq0rlg1o" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server" content="IE=edge">

    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

    <link rel="stylesheet" href="plugins/fullcalendar/fullcalendar.min.css">
    <link rel="stylesheet" href="plugins/fullcalendar/fullcalendar.print.css" media="print">
    <script src="plugins/jQuery/jQuery-2.1.4.min.js" type="text/javascript"></script>

    <script src="plugins/jquery-ui.min.js" type="text/javascript"></script>

    <script src="bootstrap/js/bootstrap.min.js" type="text/javascript"></script>

    <script src="plugins/raphael-min.js" type="text/javascript"></script>

    <script src="plugins/morris/morris.min.js" type="text/javascript"></script>

    <script src="plugins/sparkline/jquery.sparkline.min.js" type="text/javascript"></script>

    <script src="plugins/jvectormap/jquery-jvectormap-1.2.2.min.js" type="text/javascript"></script>

    <script src="plugins/jvectormap/jquery-jvectormap-world-mill-en.js" type="text/javascript"></script>

    <script src="plugins/knob/jquery.knob.js" type="text/javascript"></script>

    <script src="plugins/moment.min.js" type="text/javascript"></script>

    <script src="plugins/daterangepicker/daterangepicker.js" type="text/javascript"></script>

    <script src="plugins/daterangepicker/moment.js" type="text/javascript"></script>

    <script src="plugins/datepicker/bootstrap-datepicker.js" type="text/javascript"></script>

    <script src="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js" type="text/javascript"></script>

    <script src="plugins/chartjs/Chart.min.js"></script>
    <script src="dist/js/app.min.js" type="text/javascript"></script>

    <script src="plugins/select2/select2.full.min.js"></script>
    <script src="plugins/fullcalendar/fullcalendar.min.js"></script>
    <script src="js/GetNotification.js"></script>
    <section class="content-header">
        <h1 style="padding-right: 0px">
            <img src="dist/img/MyCalendar.png" style="padding-right: 10px; vertical-align: middle; padding-bottom: 2px" />
            <asp:Label ID="lbl_Header" runat="server" Text="My Calendar"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </section>

    <section class="content">
        <div class="row">
            <div class="col-md-12 form-group">
                <div class="box-body no-padding">
                    <div class="col-md-2"><i class="fa fa-square" style="color: #008247; font-size: 20px"></i>&nbsp;&nbsp;<asp:Label ID="lblPresent" runat="server" /></div>
                    <div class="col-md-2"><i class="fa fa-square" style="color: #D0457B; font-size: 20px"></i>&nbsp;&nbsp;<asp:Label ID="lblLeave" runat="server" /></div>
                    <div class="col-md-2"><i class="fa fa-square" style="color: #FF7F00; font-size: 20px"></i>&nbsp;&nbsp;<asp:Label ID="lblHoliday" runat="server" /></div>
                    <div class="col-md-2"><i class="fa fa-square" style="color: #02749E; font-size: 20px"></i>&nbsp;&nbsp;<asp:Label ID="lblWeeklyOff" runat="server" /></div>
                    <div class="col-md-2"><i class="fa fa-square" style="color: #FF5151; font-size: 20px"></i>&nbsp;&nbsp;<asp:Label ID="lblAbsent" runat="server" /></div>

                </div>
            </div>
            <div class="col-md-12" style="display:none">
                <div class="box-body no-padding">
                    <div class="col-md-2" style="display: none">
                        <asp:Label ID="lblEHlegend" runat="server" />
                    </div>
                    <div class="col-md-2">
                        <asp:Label ID="lblHw" runat="server" />
                    </div>
                    <div class="col-md-2">
                        <asp:Label ID="lblEHrs" runat="server" />
                    </div>
                </div>
            </div>
            <!-- /.col -->
            <div class="col-md-12">
                <div class="box box-primary">
                    <div class="box-body no-padding">
                        <!-- THE CALENDAR -->
                        <div id="calendar"></div>
                    </div>
                    <!-- /.box-body -->
                </div>
                <!-- /. box -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>

    <!-- ./wrapper -->

    <!-- jQuery 2.2.3 -->

    <!-- Bootstrap 3.3.6 -->




    <!-- Page specific script -->
    <script>

        function MyCalendarData(MyCalendarDataString) {

            if (MyCalendarDataString != "") {
                var ArrMyCalendarMonth = MyCalendarDataString.split('%');
                //var arr = ArrMyCalendarMonth.split('%');
                var ArrMyCalendarDay = [];
                var DataPoints = [];
                for (var i = 0; i < ArrMyCalendarMonth.length; i++) {
                    ArrMyCalendarDay = ArrMyCalendarMonth[i].split(',');
                    var date = ArrMyCalendarDay[2];
                    var Datesplit = date.split('-');
                    var d = Datesplit[2],
                        m = Datesplit[1],
                        y = Datesplit[0];
                    if (ArrMyCalendarDay[5] == "Present") {

                        DataPoints.push({
                            title: 'HW : ' + ArrMyCalendarDay[4] + ' - EH : ' + ArrMyCalendarDay[6],
                            start: ArrMyCalendarDay[2],
                            url: 'Reports/TA_UI_Report_ReportViewer.aspx?ReportName=MonthlyAttendance&MonthlydataLoadingVer=0&dtFrom=' + ArrMyCalendarDay[2] + '&dtTo=' + ArrMyCalendarDay[2] + '&empid=' + ArrMyCalendarDay[1] + '&shft=0&EmpName=&Level=0&EmpCategory=0&EmpType=0&ParentLevelId=0&UserGroupName=SuperAdmin&GradeLevel=0&MinWorkHours=&SwipeCard=&Designation=0&Gender=Both',
                            //backgroundColor: "#83DAF6", //red
                            //borderColor: "#fff", //red
                            color: '#008247',
                            center: true,
                            tooltip: 'HW : Hours Worked - EH : Late In + Early Exit',
                            //description: ' HW : ' + ArrMyCalendarDay[4] + ' - EH : ' + ArrMyCalendarDay[6]
                        });
                        //DataPoints.push({
                        //    title: "Work Hrs: " + ArrMyCalendarDay[4],
                        //    start: ArrMyCalendarDay[2],
                        //    backgroundColor: "#fff", //red
                        //    borderColor: "#fff", //red
                        //    center: true
                        //});
                        //DataPoints.push({
                        //    title: "Exp Hrs : " + ArrMyCalendarDay[6],
                        //    start: ArrMyCalendarDay[2],
                        //    backgroundColor: "#fff", //red
                        //    borderColor: "#fff", //red
                        //    center: true
                        //});

                    }
                    else if (ArrMyCalendarDay[5] == "Weekly Off") {
                        DataPoints.push({
                            title: 'Weekly Off',
                            start: ArrMyCalendarDay[2],
                            //rendering: 'background',
                            color: '#02749E'
                        });
                    }
                    else if (ArrMyCalendarDay[5] == "Holiday") {
                        DataPoints.push({
                            title: 'Holiday',
                            start: ArrMyCalendarDay[2],
                            //rendering: 'background',
                            color: '#FF7F00'
                        });
                    }
                    else if (ArrMyCalendarDay[5] == "Absent") {
                        DataPoints.push({
                            title: 'Absent',
                            start: ArrMyCalendarDay[2],
                            //rendering: 'background',
                            color: '#FF5151'
                        });
                    }
                    else {
                        DataPoints.push({
                            title: 'Leave - ' + ArrMyCalendarDay[5],
                            start: ArrMyCalendarDay[2],
                            //rendering: 'background',
                            color: '#D0457B'
                        });
                    }
                }
            }
            else {
                var date = new Date();
                var d = date.getDate(),
                    m = date.getMonth(),
                    y = date.getFullYear();
                var DataPoints = [];

            }


            //var date = new Date();
            //var d = date.getDate(),
            //    m = date.getMonth(),
            //    y = date.getFullYear();
            //var DataPoints = [];
            //for (var i = 1; i <= 30; i++) {
            //    var datenow = new Date(y, m, i)
            //    DataPoints.push({
            //        title: 'SSN',
            //        start: "2016-10-" + i,
            //        backgroundColor: "#f56954", //red
            //        borderColor: "#f56954" //red
            //    });
            //}

            $('#calendar').fullCalendar({
                header: {
                    right: 'prev,next today',
                    center: 'title',
                    left: ''
                },
                buttonText: {
                    today: 'today',
                    month: 'month',
                    week: 'week',
                    day: 'day'
                },
                //prev: function () {
                //    $('#calendar').load("events/findbymonth/" + $('#calendar').fullCalendar('getDate').getMonth());
                //},
                //next: function () {
                //    $('#calendar').load("events/findbymonth/" + $('#calendar').fullCalendar('getDate').getMonth());
                //},
                //Random default events
                events: DataPoints,
                eventRender: function(event, element) {
                    element.attr('title', event.tooltip);
                },
                eventClick: function (event) {
                    // opens events in a popup window
                    if (event.url != null) {
                        window.open(event.url, 'gcalevent', 'left=10px, top=60px, width=1000px, height=600px, scrollbars=yes, status=no, resizable=yes');
                        return false;
                    }

                    
                }
                //,
                //eventRender: function (event, element, view) {
                //    element.find('.fc-title').append('<br/><br/><br/><div class="hr-line-solid-no-margin"></div><span style="font-size: 10px; text-decoration: none !important;">' + event.description + '</span></div>');
                //}

            });
        }
    </script>
</asp:Content>

