<%@ page language="C#" autoeventwireup="true" inherits="Organization_Settings_Organization_EmployeeFlexiPopup, App_Web_lfbdb5vr" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<meta http-equiv="X-UA-Compatible" content="IE=document.documentMode;" />
<html xmlns="http://www.w3.org/1999/xhtml" runat="server" id="htmlFlexi">
<head id="Head1" runat="server">
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"
        name="viewport" />
    <link id="stylebootstrap" rel="stylesheet" runat="server" type="text/css" />
    <link id="stylefontawesome" rel="stylesheet" runat="server" type="text/css" />
    <link id="styleAdminLTE" rel="stylesheet" runat="server" type="text/css" />
    <link id="stylecustom" rel="stylesheet" runat="server" type="text/css" />
    <link id="stylefonts" rel="stylesheet" runat="server" type="text/css" />
    <title>Timecheck</title>
    <%--<link rel="stylesheet" href="../css/stylesheet.css" />--%>
</head>
<body class="td">
    <form id="aspnetForm" runat="server">
        <div class="content-header" style="display: none;">
            <div align="left" class="ModuleTitle" id="divModuleHeading" runat="server">
                <h3>
                    <asp:Label ID="lblFlexibleHoursApplicability" Text="Flexible Hours Applicability"
                        runat="server"></asp:Label>
                </h3>
            </div>
        </div>
        <div class="content">
            <div class="emp-filter">
                <div class="form-horizontal">
                    <div class="row">
                        <div class="col-md-12">
                            <div align="center" id="divFlexiPopup" runat="server">
                                <div class="row">
                                    <div class="col-md-12">
                                        <asp:Label ID="lblErr" runat="server" Font-Bold="true" Font-Size="Larger" ForeColor="red"></asp:Label>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <asp:Label ID="lblSelect" runat="server" Text="Select" Style="display: none"></asp:Label>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <asp:DropDownList ID="ddlChoice" runat="server" Style="display: none">
                                            <asp:ListItem Value="All" Text="All"></asp:ListItem>
                                            <asp:ListItem Value="Flexible" Text="Flexible"></asp:ListItem>
                                            <asp:ListItem Value="Non Flexible" Text="Non Flexible"></asp:ListItem>
                                        </asp:DropDownList>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <asp:Button ID="btnSearch" OnClick="btnSearch_Click" runat="server" CssClass="but"
                                            Text="Search" Style="display: none" />
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-12">
                                        <div class="table-responsive">
                                            <asp:GridView ID="grd" CssClass="table das-table1" runat="server" AutoGenerateColumns="False"
                                                AllowPaging="True" AllowSorting="True" CellPadding="4" OnPageIndexChanged="grd_PageIndexChanged"
                                                OnPageIndexChanging="grd_PageIndexChanging" OnRowDataBound="grd_RowDataBound">
                                                <Columns>
                                                    <asp:TemplateField>
                                                        <HeaderTemplate>
                                                            <asp:CheckBox ID="checkall" runat="server" Text="" AutoPostBack="true" OnCheckedChanged="grv_CheckAll_CheckedChanged"
                                                                TextAlign="Right" />
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:CheckBox ID="deletethis" runat="server" AutoPostBack="true" OnCheckedChanged="grv_Check_CheckedChanged"></asp:CheckBox>
                                                        </ItemTemplate>
                                                        <ItemStyle HorizontalAlign="Center" Width="6%" />
                                                        <HeaderStyle HorizontalAlign="Center" />
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="EmployeeID" Visible="False">
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblEID" Text='<%# Eval("empAutoID") %>' runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Employee Name">
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblEname" Text='<%# Eval("empName") %>' runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Emp. ID">
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblEmpCode" Text='<%# Eval("employee_id") %>' runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Designation">
                                                        <ItemTemplate>
                                                            <asp:Label ID="lbldesg" Text='<%# Eval("TitleName") %>' runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Level">
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblLevel" Text='<%# Eval("name") %>' runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Flexi hours" Visible="false">
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblFlexi" Text='<%# Eval("isFlexible") %>' runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                    </asp:TemplateField>
                                                </Columns>
                                                <HeaderStyle CssClass="empheader" />
                                                <RowStyle Height="30px" CssClass="table-bg" BorderColor="#C5DFFC" />
                                                <PagerStyle Font-Overline="False" HorizontalAlign="Right" CssClass="GridPager" />
                                                <PagerSettings FirstPageText="<<" LastPageText=">>" Mode="NumericFirstLast" NextPageText=">"
                                                    PreviousPageText="<" />
                                                <AlternatingRowStyle BackColor="white" />
                                            </asp:GridView>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="pull-right-button">
                                            <asp:LinkButton ID="btnFlexi" Text="Flexible" CssClass="btn save-btn" runat="server" CausesValidation="true"
                                                OnClick="btnFlexi_Click" />
                                            <asp:LinkButton ID="btnNonFlexi" Text="Non Flexible" CssClass="btn save-btn" runat="server"
                                                CausesValidation="true" OnClick="btnNonFlexi_Click" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
