<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Reports_TA_UI_Report_EarlyExitGrid, App_Web_3sczxuzw" %>

<%@ Register Assembly="DevExpress.Web.v14.2" Namespace="DevExpress.Web"
    TagPrefix="dxe" %>
<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url(../dist/img/swipe-icon.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lblEarlyOut" runat="server" />
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="table-responsive" style="padding-bottom: 15px">
                            <dxGridview:ASPxGridView ID="grv_Earlyout" EnableCallBacks="false" runat="server"
                                ClientInstanceName="grv_Earlyout" AutoGenerateColumns="false" Width="100%" KeyFieldName="Process_Rec_ID"
                                DataSourceID="ObjectDataSource1" OnHtmlRowCreated="grv_Earlyout_HtmlRowCreated">
                                <Columns>
                                    <dxGridview:GridViewDataTextColumn FieldName="Employee_Code_Id" Caption="Emp No"
                                        VisibleIndex="0" Width="70px">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblEmployee_Code_Id" Text='<%# Eval("Employee_Code_Id") %>' runat="server"
                                                Style="overflow-y: auto; overflow-x: auto; word-break: break-all; width: 80px; word-wrap: break-word; display: inline-block;"></asp:Label>
                                            <asp:HiddenField ID="lblProcess_Rec_ID" Value='<%# Eval("Process_Rec_ID") %>' runat="server" />
                                        </DataItemTemplate>
                                        <EditItemTemplate>
                                            <asp:Label ID="Label1" Text='<%# Eval("Employee_Code_Id") %>' runat="server"></asp:Label>
                                            <asp:HiddenField ID="HiddenField1" Value='<%# Eval("Process_Rec_ID") %>' runat="server" />
                                        </EditItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Employee Name" FieldName="Employee_FirstName"
                                        VisibleIndex="1" Width="110px">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_FirstName") %>' runat="server"
                                                Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 85px;">
                                            </asp:Label>
                                        </DataItemTemplate>
                                        <EditItemTemplate>
                                            <asp:Label ID="lblEmployeename" Text='<%# Eval("Employee_FirstName") %>' runat="server"
                                                Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 85px;">
                                            </asp:Label>
                                        </EditItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Level" FieldName="LevelName" VisibleIndex="2"
                                        Width="110px">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblLevelName" Text='<%# Eval("LevelName") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 80px;"></asp:Label>
                                        </DataItemTemplate>
                                        <EditItemTemplate>
                                            <asp:Label ID="lblLevelName" Text='<%# Eval("LevelName") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 80px;"></asp:Label>
                                        </EditItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Width="120px" Caption="Designation" FieldName="TitleName"
                                        VisibleIndex="3">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblDesignation" Text='<%# Eval("TitleName") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 100px;"></asp:Label>
                                        </DataItemTemplate>
                                        <EditItemTemplate>
                                            <asp:Label ID="lblDesignation" Text='<%# Eval("TitleName") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 100px;"></asp:Label>
                                        </EditItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Gender" FieldName="Gender" VisibleIndex="4"
                                        Width="50px" Visible="false">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblGender" Text='<%# Eval("Gender") %>' runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <EditItemTemplate>
                                            <asp:Label ID="lblGender" Text='<%# Eval("Gender") %>' runat="server"></asp:Label>
                                        </EditItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Date" FieldName="date" VisibleIndex="5"
                                        Width="100px">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblDate" Text='<%# Eval("date") %>' runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <EditItemTemplate>
                                            <asp:Label ID="lblDate" Text='<%# Eval("date") %>' runat="server"></asp:Label>
                                        </EditItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Out Time" FieldName="OutTime" VisibleIndex="6"
                                        Width="80px">
                                        <DataItemTemplate>
                                            <asp:Label ID="lbloutTime" Text='<%# Eval("OutTime") %>' runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <EditItemTemplate>
                                            <asp:Label ID="lbloutTime" Text='<%# Eval("OutTime") %>' runat="server"></asp:Label>
                                        </EditItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Early Out" FieldName="EarlyOut" VisibleIndex="7"
                                        Width="60px">
                                        <DataItemTemplate>
                                            <asp:Label ID="lblEarlyOut" Text='<%# Eval("EarlyOut") %>' runat="server"></asp:Label>
                                        </DataItemTemplate>
                                        <EditItemTemplate>
                                            <asp:Label ID="lblEarlyOut" Text='<%# Eval("EarlyOut") %>' runat="server"></asp:Label>
                                        </EditItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewDataTextColumn Caption="Reason" FieldName="Reason" VisibleIndex="8"
                                        Width="110px">
                                        <EditItemTemplate>
                                            <asp:TextBox TextMode="MultiLine" onpaste="return false" ID="txt_Reason" Text='<%# Bind("Reason") %>'
                                                onkeyPress="return acceptChars_MaxLength(event,this,255,MaxLength,MaxLength)"
                                                CssClass="textbox_4" runat="server" MaxLength="255" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; cursor: pointer; word-wrap: break-word; display: inline-block; width: 70px; height: 22px; resize: none"></asp:TextBox>
                                        </EditItemTemplate>
                                        <DataItemTemplate>
                                            <asp:Label ID="lblReason" Text='<%# Eval("Reason") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                        </DataItemTemplate>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewDataTextColumn>
                                    <dxGridview:GridViewCommandColumn VisibleIndex="9" Caption=" " Width="40px">
                                        <EditButton Visible="True">
                                        </EditButton>
                                        <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                    </dxGridview:GridViewCommandColumn>
                                </Columns>
                                <SettingsEditing Mode="Inline" />
                                <SettingsPager PageSize="10">
                                </SettingsPager>
                                <Settings ShowFilterRow="true" />
                                <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="false" />
                                <Styles AlternatingRow-CssClass="table-bg">
                                </Styles>
                            </dxGridview:ASPxGridView>
                        </div>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_View" runat="server" OnClick="btn_View_Click" CssClass="btn save-btn fa-eye" />
                            <asp:LinkButton ID="btnBack" CssClass="btn save-btn fa-angle-left" runat="server"
                                OnClientClick="location.href='TA_UI_Report_LateInstance.aspx';return false;" />
                            <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="SelectEarlyOutReportNew"
                                TypeName="GetReports" UpdateMethod="ReasonEntry_EarlyExit">
                                <SelectParameters>
                                    <asp:QueryStringParameter Name="dtFromDate" QueryStringField="From" Type="String" />
                                    <asp:QueryStringParameter Name="dtToDate" QueryStringField="To" Type="String" />
                                    <asp:QueryStringParameter Name="empId" QueryStringField="EmpID" Type="String" />
                                    <asp:QueryStringParameter Name="shft" QueryStringField="Shift" Type="Int32" />
                                    <asp:QueryStringParameter Name="empName" QueryStringField="EmpName" Type="String" />
                                    <asp:SessionParameter Name="levId" Type="String" SessionField="pLevel" />
                                    <asp:QueryStringParameter Name="employeeCategory" QueryStringField="EmployeeCategory"
                                        Type="Int32" />
                                    <asp:QueryStringParameter Name="employeeType" QueryStringField="EmployeeType" Type="Int32" />
                                    <asp:SessionParameter Name="UserGroupName" SessionField="UserGroupName" Type="string" />
                                    <asp:SessionParameter Name="GradeLevel" SessionField="GradeLevel" Type="string" />
                                    <asp:QueryStringParameter Name="strSwipeCard" QueryStringField="SwipeCard" Type="String" />
                                    <asp:QueryStringParameter Name="ParentId" QueryStringField="ParentLevelid" Type="Int16" />
                                    <asp:QueryStringParameter Name="DesignationId" QueryStringField="Designation" Type="Int32" />
                                    <asp:QueryStringParameter Name="Gender" QueryStringField="Gender" Type="String" />
                                    <asp:QueryStringParameter Name="ExportType" QueryStringField="ExportType" Type="Int32" DefaultValue="1" />
                                </SelectParameters>
                                <UpdateParameters>
                                    <asp:Parameter Name="Reason" Type="String" />
                                    <asp:Parameter Name="Process_Rec_ID" Type="Int32" />
                                </UpdateParameters>
                            </asp:ObjectDataSource>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">

        var MaxLength = "Maximum length is ";


        function MaxLengthh(maxLength) {

            MaxLength = maxLength;
        }
    </script>

</asp:Content>
