<%@ page language="C#" autoeventwireup="true" masterpagefile="~/MasterFile/TimeCheck.master" inherits="Masters_TA_UI_Master_Employee, App_Web_0ezrgli2" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Src="~/UserControls/TA_uc_OrganizationLevels.ascx" TagName="OrganizationLevel"
    TagPrefix="uc" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<asp:Content ContentPlaceHolderID="BodyContentPH" ID="conEmployee" runat="server">
    <!--[if gt IE 5.5]>
	<link rel="stylesheet" type="text/css" href="../css/anytimeIE.css" />
	<link rel="stylesheet" type="text/css" href="../css/ProgressforIE.css" />
 <![endif]-->
    <script type="text/javascript">
        function navi(loc) {
            document.getElementById('ctl00_BodyContentPH_iframePopup').src = loc;
            return false;
        }
        function Delete_Conf(id) {
            var ControlID = id;
            if (document.getElementById(ControlID).Disabled == false) {
                return confirm('Are you sure to Delete ?');
            }
        }
    </script>
    <script type="text/javascript" src="../bootstrap/js/1.4.3/jquery.min.js"></script>
    <script src="../bootstrap/js/1.8.5/jquery-ui.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            $("#<%= txtEmployeeId.ClientID %>").autocomplete({
                source: function (request, response) {
                    $.getJSON("../AutoCompleteByEmployeeId.ashx?EmpAutoid=" + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                        term: extractLast(request.term)
                    }, response);
                },
                search: function () {
                    var term = extractLast(this.value);
                    if (term.length < 1) {
                        return false;
                    }
                },
                focus: function () {
                    return false;
                },
                select: function (event, ui) {
                    var terms = split(this.value);
                    terms.pop();
                    terms.push(ui.item.value);
                    terms.push("");
                    this.value = terms.join(",");
                    return false;
                }
            });
            function split(val) {
                return val.split(/,\s*/);
            }
            function extractLast(term) {
                return split(term).pop();
            }
        });
            $(function () {
                $("#<%= txt_EmpName.ClientID %>").autocomplete({
                    source: function (request, response) {
                        $.getJSON("../AutoCompleteByName.ashx?EmpAutoid=" + '<%= Convert.ToString(Session["EmpAutoID"]) %>', {
                            term: extractLast(request.term)
                        }, response);
                    },
                    search: function () {
                        var term = extractLast(this.value);
                        if (term.length < 1) {
                            return false;
                        }
                    },
                    focus: function () {
                        return false;
                    },
                    select: function (event, ui) {
                        var terms = split(this.value);
                        terms.pop();
                        terms.push(ui.item.value);
                        terms.push("");
                        this.value = terms.join(",");
                        return false;
                    }
                });
                function split(val) {
                    return val.split(/,\s*/);
                }
                function extractLast(term) {
                    return split(term).pop();
                }
                Loaddropdown();
            });
    </script>
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/emp-master.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderEmployeeMaster" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div id="myModal" class="modal modal-default fade" role="dialog">
            <div class="modal-dialog" style="min-width: 85%;">
                <div class="modal-content" style="margin-top: 20px">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" style="border-radius: 50px;">
                            &times;</button>
                        <h4 class="modal-title">
                            <asp:Label ID="lblDataView" runat="server" Text="Data View"></asp:Label>
                        </h4>
                    </div>
                    <div class="modal-body">
                        <iframe id="iframePopup" runat="server" scrolling="auto" width="100%" style="border-style: none"
                            height="700px"></iframe>
                    </div>
                    <div class="modal-footer" style="display: none">
                        <button type="button" class="btn btn-primary pull-right" data-dismiss="modal">
                            Close</button>
                    </div>
                </div>
            </div>
        </div>
        <div id="Search2" runat="server">
            <div class="inr-ftr">
                <div class="row">
                    <div class="col-sm-2">
                        <div class="inr-fil-text">
                            <asp:Label ID="lblFilter" runat="server" Text="Filter"></asp:Label>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-horizontal">
            <div id="Search1" runat="server">
                <div class="emp-filter">
                    <div class="row form-group" style="display: none">
                        <div class="col-md-3">
                            <asp:Label ID="lblEmpSwipe" runat="server"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlSwipeOpt" runat="server">
                                <asp:ListItem Text="Select" Value="Select"></asp:ListItem>
                                <asp:ListItem Text="All" Value="All"></asp:ListItem>
                                <asp:ListItem Text="Exists" Value="Exists"></asp:ListItem>
                                <asp:ListItem Text="Not Exists" Value="Not Exists"></asp:ListItem>
                            </asp:DropDownList>
                        </div>
                    </div>
                    <div class="row" id="trOrgLevel" runat="server">
                        <div class="col-md-12">
                            <asp:UpdatePanel ID="upOrgLevel" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <asp:PlaceHolder ID="PlaceHolderLateEntry" runat="server">
                                        <uc:OrganizationLevel ID="ucOrganizationLevel" runat="server" />
                                    </asp:PlaceHolder>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </div>
                    </div>
                    <div class="clearfix">
                    </div>
                    <div class="row">
                        <div class="row">
                            <div class="line16">
                            </div>
                        </div>
                    </div>
                    <div class="row form-group" id="trSwipeCardNo" runat="server" style="display: none">
                        <div class="col-md-3">
                            <asp:Label ID="lblEmpSwipeCard" runat="server"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:TextBox onpaste="return false" ID="txtSwipeCard" MaxLength="20" runat="server"
                                CssClass="form-control input-sm" onkeypress="return acceptCharsNum_MaxLength(event,this,20,MaxLength);"></asp:TextBox>
                            <cc1:AutoCompleteExtender ID="acSwipeCardNo" runat="server" CompletionSetCount="10"
                                CompletionListItemCssClass="item" CompletionListHighlightedItemCssClass="AutocompleteCSS"
                                CompletionInterval="10" Enabled="true" MinimumPrefixLength="1" TargetControlID="txtSwipeCard"
                                ServicePath="../WebServices/AutoCompleteExtender.asmx" ServiceMethod="GetCardNo"
                                CompletionListCssClass="autocomplete_completionListElement" FirstRowSelected="true">
                            </cc1:AutoCompleteExtender>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-2">
                            <asp:Label ID="lbl_EmployeeName" runat="server"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:TextBox onpaste="return false" ID="txt_EmpName" runat="server" CssClass="form-control input-sm"
                                Style="resize: none" TextMode="multiLine" onkeypress="return acceptChars_MaxLength(event,this,500);"></asp:TextBox>
                        </div>
                        <div class="col-md-1">
                        </div>
                        <div class="col-md-2">
                            <asp:Label ID="lbl_EmployeeId" runat="server"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:TextBox onpaste="return false" ID="txtEmployeeId" runat="server" CssClass="form-control input-sm"
                                Style="resize: none" TextMode="multiLine" onkeypress="return acceptCharsNum_MaxLength(event,this,500,MaxLength);"></asp:TextBox>
                        </div>
                        <div class="col-md-1">
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-md-2">
                            <asp:Label ID="lblEmpCategory" runat="server" Text="Employee Category"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlEmpCatagory" runat="server" CssClass="form-control select2"
                                AppendDataBoundItems="true">
                                <asp:ListItem Value="0" Selected="True" Text="-Select-"></asp:ListItem>
                            </asp:DropDownList>
                        </div>
                        <div class="col-md-1">
                        </div>
                        <div class="col-md-2">
                            <asp:Label ID="lblEmpType" runat="server" Text="Employee Type"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlEmpType" runat="server" CssClass="form-control select2"
                                AppendDataBoundItems="true">
                                <asp:ListItem Value="0" Selected="True" Text="-Select-"></asp:ListItem>
                            </asp:DropDownList>
                        </div>
                    </div>
                    <div class="row form-group" id="Search3" runat="server">
                        <div class="col-md-2">
                            <asp:Label ID="lblGender" runat="server" Text="Gender"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlGender" runat="server" CssClass="form-control select2">
                                <asp:ListItem Value="Both" Text="Both"></asp:ListItem>
                                <asp:ListItem Value="Male" Text="Male"></asp:ListItem>
                                <asp:ListItem Value="Female" Text="Female"></asp:ListItem>
                            </asp:DropDownList>
                        </div>
                        <div class="col-md-1">
                        </div>
                        <div class="col-md-2">
                            <asp:Label ID="lblAdvanced" runat="server" Text="Filters"></asp:Label>
                        </div>
                        <div class="col-md-3">
                            <asp:DropDownList ID="ddlAdvanced" runat="server" CssClass="form-control select2">
                                <asp:ListItem Text="All" Value="0"></asp:ListItem>
                                <asp:ListItem Text="OT Eligible" Value="1"></asp:ListItem>
                                <asp:ListItem Text="Compensation Off Eligible" Value="2"></asp:ListItem>
                                <asp:ListItem Text="OT And Compensation Off Eligible" Value="3"></asp:ListItem>
                                <asp:ListItem Text="OT And Compensation Off Not Eligible" Value="9"></asp:ListItem>
                                <asp:ListItem Text="Leave Policy Not Assigned" Value="4"></asp:ListItem>
                                <asp:ListItem Text="Active Employee(s)" Value="10"></asp:ListItem>
                                <asp:ListItem Text="In Active Employee(s)" Value="5"></asp:ListItem>
                                <asp:ListItem Text="Hostel Employee(s)" Value="6"></asp:ListItem>
                                <asp:ListItem Text="Exclude From Reports - Yes" Value="7"></asp:ListItem>
                                <asp:ListItem Text="User Group Not Assigned Employee(s)" Value="8"></asp:ListItem>
                            </asp:DropDownList>
                        </div>
                    </div>
                    <div class="row" id="trSearchButton" runat="server">
                        <div class="col-md-2">
                        </div>
                        <div class="col-md-3">
                        </div>
                        <div class="col-md-1">
                        </div>
                        <div class="col-md-2">
                        </div>
                        <div class="col-md-3">
                            <div class="pull-right-button">
                                <asp:LinkButton ID="btn_Search" runat="server" OnClick="btn_Search_Click" CssClass="btn src-btn fa-search">
                                </asp:LinkButton>
                                <asp:LinkButton ID="btn_Clear" runat="server" OnClick="btn_Clear_Click" CssClass="btn clr-btn fa-refresh">
                                </asp:LinkButton>
                            </div>
                        </div>
                        <div class="col-md-1">
                        </div>
                    </div>
                </div>
            </div>
            <div class="border-table new-space">
                <div class="form-group">
                    <div class="col-md-12" style="overflow: auto; padding-bottom: 10px">
                        <asp:HiddenField ID="hdnSelectRow" runat="server" />
                        <asp:HiddenField ID="hdnGetAllid" runat="server" />
                        <dxGridview:ASPxGridView ID="grv_EmpDetails" EnableCallBacks="false" runat="server"
                            OnHtmlRowCreated="grv_EmpDetails_HtmlRowCreated" ClientInstanceName="grv_EmpDetails"
                            AutoGenerateColumns="false" Width="100%" KeyFieldName="Employee_Id">
                            <Columns>
                                <dxGridview:GridViewDataColumn VisibleIndex="0" HeaderStyle-VerticalAlign="Middle"
                                    Width="30px" HeaderStyle-HorizontalAlign="Center" CellStyle-VerticalAlign="Middle"
                                    CellStyle-HorizontalAlign="Center">
                                    <Settings AllowAutoFilter="false" />
                                    <HeaderTemplate>
                                        <input id="chkSelectAll" runat="server" type="checkbox" onclick="SelectAllOnThisPage(this)" />
                                    </HeaderTemplate>
                                    <DataItemTemplate>
                                        <input id="chkSelect" runat="server" type="checkbox" onclick="SelectOnRow(this)"
                                            accesskey='<%# Eval("Employee_Id") %>' />
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Employee_Id" VisibleIndex="4" Visible="false">
                                    <DataItemTemplate>
                                        <asp:Label ID="lblEID" Text='<%# Eval("Employee_Id") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn Caption="Employee Name" FieldName="Employee_FirstName"
                                    VisibleIndex="1" Width="200px">
                                    <Settings AllowDragDrop="false" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lblEname" Text='<%# Eval("Employee_FirstName") %>' runat="server"
                                            Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Employee_Code_Id" VisibleIndex="2"
                                    Width="200px">
                                    <Settings AllowGroup="false" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lblEmpCode" Text='<%# Eval("Employee_Code_Id") %>' runat="server"
                                            Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="TitleName" VisibleIndex="3" Width="200px">
                                    <Settings AllowGroup="false" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lbldesg" Text='<%# Eval("TitleName") %>' runat="server" Style="overflow-y: auto; overflow-x: auto; word-break: break-all; word-wrap: break-word; display: inline-block;"></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Isdeleted" VisibleIndex="4" Visible="false">
                                    <Settings AllowGroup="false" />
                                    <DataItemTemplate>
                                        <asp:Label ID="lblIsDeleted" runat="server" Text=' <%# Eval("Isdeleted")%>' ForeColor='<%#((Eval("IsDeleted").ToString()=="True")?System.Drawing.ColorTranslator.FromHtml("#FF0033"):System.Drawing.ColorTranslator.FromHtml("black")) %> '></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataTextColumn FieldName="Employee_Status" VisibleIndex="5" Width="100px">
                                    <DataItemTemplate>
                                        <asp:Label ID="lblStatus" runat="server" Text='<%# Bind("Employee_Status") %>'></asp:Label>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataTextColumn>
                                <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                    CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="30px">
                                    <Settings AllowAutoFilter="false" />
                                    <DataItemTemplate>
                                        <a data-toggle="modal" title='<%# Session["View"] %>' data-placement="top" data-target="#myModal" onclick="return navi('TA_UI_Master_EmployeeView.aspx?Emp_Id=<%# Eval("Employee_Id")%>')"
                                            href="#"><span class="btn btn-defalut view-icons"></span></a>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataColumn>
                                <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                    CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="30px">
                                    <Settings AllowAutoFilter="false" />
                                    <DataItemTemplate>
                                        <asp:LinkButton ID="btnEdit" runat="server" ToolTip='<%# Session["Edit"] %>' data-toggle="tooltip"
                                            data-placement="top" CssClass="btn btn-defalut edit-icons" Style="color: #3C8DBC"
                                            OnClick="EditLinkButton_Click" CommandName='<%# Eval("Employee_Id")%>'></asp:LinkButton>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataColumn>
                                <dxGridview:GridViewDataColumn HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center"
                                    CellStyle-VerticalAlign="Middle" CellStyle-HorizontalAlign="Center" Width="30px">
                                    <Settings AllowAutoFilter="false" />
                                    <DataItemTemplate>
                                        <asp:LinkButton ID="btnDelete" runat="server" ToolTip='<%# Session["Delete"] %>' data-toggle="tooltip"
                                            data-placement="top" CssClass="btn btn-defalut del-icons" Style="color: Red"
                                            CommandName='<%# Eval("Employee_Id")%>' OnClick="btn_delete_Click_1" OnClientClick="return Delete_Conf(this.id);"></asp:LinkButton>
                                    </DataItemTemplate>
                                    <HeaderStyle HorizontalAlign="center" Wrap="true" />
                                </dxGridview:GridViewDataColumn>
                            </Columns>
                            <SettingsText EmptyDataRow="No Records Found" />
                            <SettingsPager PageSize="10">
                            </SettingsPager>
                            <Settings GridLines="Both" />
                            <Settings ShowFilterRow="true" />
                            <SettingsBehavior SortMode="Value" AllowSort="true" AllowDragDrop="false" />
                            <Styles AlternatingRow-CssClass="table-bg">
                            </Styles>
                        </dxGridview:ASPxGridView>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12" id="trSaveButton" runat="server">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_Add" runat="server" OnClick="btn_Add_Click" CssClass="btn add-btn fa-plus">
                            </asp:LinkButton>
                            <asp:LinkButton ID="btn_PermanentDelete" runat="server" OnClick="btn_PermanentDelete_Click"
                                OnClientClick="return confirmdelete(this.form);" CssClass="btn del-btn fa-trash-o">
                            </asp:LinkButton>
                            <asp:HyperLink ID="hlbulk" data-toggle="tooltip" data-placement="top" runat="server"
                                Text="&nbsp;&nbsp;Bulk Configuration" CssClass="btn bulk-btn fa-wrench" NavigateUrl="TA_UI_BulkEmployeeConfiguration.aspx"></asp:HyperLink>
                            <asp:LinkButton ID="btn_Delete" CssClass="btn del-btn" runat="server" CausesValidation="False"
                                OnClick="btn_Delete_Click" OnClientClick="return confirmdelete(this.form);" Style="display: none"></asp:LinkButton>
                            <asp:LinkButton ID="btn_Restore" runat="server" CausesValidation="true" CssClass="btn btn-block btn-info fa fa-undo"
                                OnClientClick="return RestoreData();" OnClick="btn_Restore_Click" Style="display: none"></asp:LinkButton>
                            <asp:LinkButton ID="LinkButton1" runat="server" OnClick="btn_Delete_Click" CssClass="btn del-btn fa-close"
                                Style="display: none"></asp:LinkButton>
                            <asp:HiddenField ID="hdnDeletedData" runat="server" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            var Year = "Select Year";
            var MaxLength = "Maximum length is ";
            function MaxLengthh(maxLength) {
                MaxLength = maxLength;
            }
            function SelectAllOnThisPage(chkSelectAll) {
                var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                var hdnSelectAll = document.getElementById('<%= hdnGetAllid.ClientID %>');
                if (chkSelectAll.checked == true) {
                    for (var i = 0; i < grv_EmpDetails.pageRowCount; i++) {
                        if (document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_cell' + (i + grv_EmpDetails.visibleStartIndex) + '_0_chkSelect').disabled == false) {
                            document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_cell' + (i + grv_EmpDetails.visibleStartIndex) + '_0_chkSelect').checked = true;
                            var hdnUserId = document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_cell' + (i + grv_EmpDetails.visibleStartIndex) + '_0_chkSelect').accessKey;
                            var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                            var removeId = hdnSelectRow.value.split(",");
                            if (hdnUserId != "" && !Array.contains(removeId, hdnUserId)) {
                                if (hdnSelectRow.value != "")
                                    hdnSelectRow.value += ",";
                                hdnSelectRow.value += hdnUserId;
                            }
                        }
                    }
                }
                else {
                    for (var i = 0; i < grv_EmpDetails.pageRowCount; i++) {
                        document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_cell' + (i + grv_EmpDetails.visibleStartIndex) + '_0_chkSelect').checked = false;
                    }
                    hdnSelectRow.value = '';
                }
            }
            function SelectOnRow(chkOnSelect) {
                var hdnUserId = chkOnSelect.accessKey;
                var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                var removeId = hdnSelectRow.value.split(",");
                if (chkOnSelect.checked) {
                    if (hdnUserId != "" && !Array.contains(removeId, hdnUserId)) {
                        if (hdnSelectRow.value != "")
                            hdnSelectRow.value += ",";
                        hdnSelectRow.value += hdnUserId;
                    }
                    var varTotalCheckedCount = 0;
                    var varTotalEnabled = 0;
                    for (var i = 0; i < grv_EmpDetails.pageRowCount; i++) {
                        if (document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_cell' + (i + grv_EmpDetails.visibleStartIndex) + '_0_chkSelect').disabled == false) {
                            varTotalEnabled = varTotalEnabled + 1;
                        }
                        if (document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_cell' + (i + grv_EmpDetails.visibleStartIndex) + '_0_chkSelect').checked)
                            varTotalCheckedCount = varTotalCheckedCount + 1;
                    }
                    if (varTotalCheckedCount == varTotalEnabled)
                        document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_header0_chkSelectAll').checked = true;
                    else
                        document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_header0_chkSelectAll').checked = false;
                }
                else {
                    if (Array.contains(removeId, hdnUserId)) {
                        Array.remove(removeId, hdnUserId);
                    }
                    hdnSelectRow.value = removeId;
                    document.getElementById('ctl00_BodyContentPH_grv_EmpDetails_header0_chkSelectAll').checked = false;
                }
            }
            var Norecordsavailable = "No records available ";
            var AreyousuretoRestore = "Are you sure to Restore? ";
            var Selecteddataisnotindeletedstatus = "Selected data is not in deleted status ";
            var Selectdatatorestore = "Select data to restore ";
            var Nodeletedrecordsavailable = "No deleted records available ";
            function RestoreAlert(norecordsavailable, areyousuretoRestore, selecteddataisnotindeletedstatus, selectdatatorestore, nodeletedrecordsavailable) {
                Norecordsavailable = norecordsavailable;
                AreyousuretoRestore = areyousuretoRestore;
                Selecteddataisnotindeletedstatus = selecteddataisnotindeletedstatus;
                Selectdatatorestore = selectdatatorestore;
                Nodeletedrecordsavailable = nodeletedrecordsavailable;
            }
            function RestoreData() {
                var rowscount = grv_EmpDetails.pageRowCount;
                if (rowscount == 0) {
                    alert(Norecordsavailable);
                    return false;
                }
                var hdnSelectRow = document.getElementById('<%= hdnSelectRow.ClientID %>');
                var DeleteDataRow = document.getElementById('<%= hdnDeletedData.ClientID %>');
                if (DeleteDataRow.value != '') {
                    if (hdnSelectRow.value != '') {
                        var selectedRow = new Array();
                        selectedRow = hdnSelectRow.value.split(",");
                        var deletedRow = new Array();
                        deletedRow = DeleteDataRow.value.split(",");
                        var Status = false;
                        for (var i = 0; i < selectedRow.length; i++) {
                            if (Array.contains(deletedRow, selectedRow[i])) {
                                Status = true;
                            }
                        }
                        if (Status == true) {
                            return confirm(AreyousuretoRestore);
                        }
                        else {
                            alert(Selecteddataisnotindeletedstatus);
                            return false;
                        }
                    }
                    else {
                        alert(Selectdatatorestore);
                        return false;
                    }
                }
                else {
                    if (hdnSelectRow.value == '') {
                        alert(Nodeletedrecordsavailable);
                        return false;
                    }
                    else {
                        alert(Selecteddataisnotindeletedstatus);
                        return false;
                    }
                }
            }
        </script>
    </div>
</asp:Content>
