<%@ page language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_TA_UI_Master_groupView, App_Web_uhvsurwb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url(../dist/img/user-group-Icon.png); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_HeaderUserGroups" runat="server"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-2">
                    <div class="inr-fil-text">
                        <asp:Label ID="lblFilter" runat="server" Text="Filter"></asp:Label>
                    </div>
                </div>
            </div>
        </div>
        <div class="Usergrp-filter">
            <div class="row">
                <div class="col-md-3">
                    <asp:Label ID="lbl_GroupName" Text="Group Name" runat="server"></asp:Label>
                </div>
                <div class="col-md-3 form-group">
                    <asp:TextBox onpaste="return false" ID="txt_GroupName" runat="server" CssClass="form-control"
                        Style="margin-bottom: 15px" MaxLength="40" onkeypress="return acceptCharsNumAmpUnder_MaxLength(event,this,40,MaxLength);"></asp:TextBox>
                </div>
                <div class="col-md-6" align="left">
                    <asp:LinkButton ID="btn_Search" Text="Search" CssClass="btn save-btn fa-search" runat="server"
                        OnClick="btn_Search_Click" />
                    <asp:LinkButton ID="btn_Clear" Text="Clear" CssClass="btn save-btn fa-refresh" runat="server"
                        OnClick="btn_Clear_Click" />
                    <asp:LinkButton ID="btn_add" CssClass="btn save-btn fa-plus" runat="server" OnClick="btn_add_Click" />
                </div>
            </div>
        </div>
        <div class="border-table new-space">
            <div class="row">
                <div class="col-md-12">
                    <asp:GridView ID="grdViewUserGroup" runat="server" AllowPaging="True" AllowSorting="True"
                        AutoGenerateColumns="false" BorderStyle="None" CssClass="table table-responsive table-bordered"
                        DataSourceID="ObjectDataSource1" OnRowDataBound="grdViewUserGroup_RowDataBound"
                        BorderColor="white" PageSize="10" OnRowCreated="grdViewUserGroup_RowCreated">
                        <Columns>
                            <asp:TemplateField HeaderText="Group Name" SortExpression="groupName" HeaderStyle-VerticalAlign="Middle"
                                HeaderStyle-HorizontalAlign="Center" HeaderStyle-Font-Names="robotoregular" HeaderStyle-CssClass="empheader">
                                <ItemTemplate>
                                    <a href="TA_UI_Master_groupEdit.aspx?gNa=<%# Eval("groupName") %>&gid=<%# Eval("groupId") %>&sid=<%=Session.SessionID %>&IndUsers=<%# Eval("IndividualUsers") %>&hasSpecialRights=<%# Eval("hasSpecialRights") %>&ReportsBasedOn=<%# Eval("ReportsBasedOn") %>">
                                        <asp:Label ID="lblHId" Style="font-family: robotoregular" ToolTip="Edit Levelwise Rights"
                                            Text='<%# Eval("groupName") %>' runat="server"></asp:Label>
                                    </a>
                                    <asp:Label ID="lblID" runat="server" Text='<%# Eval("groupId") %>' Visible="false"></asp:Label>
                                </ItemTemplate>
                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                            </asp:TemplateField>
                            <asp:TemplateField ItemStyle-HorizontalAlign="Left" HeaderStyle-CssClass="empheader">
                                <ItemTemplate>
                                    <div class="pull-left-button">
                                        <a href="TA_UI_Master_LevelRights.aspx?gNa=<%# Eval("groupName") %>&gid=<%# Eval("groupId") %>&sid=<%=Session.SessionID %>">
                                            <asp:Label ID="lblEditLevel" runat="server" Text='Levelwise Rights' ToolTip="Edit group rights"></asp:Label>
                                        </a>
                                        &nbsp;/&nbsp; 
                                        <a href="TA_UI_Master_UserGroups_AddRights.aspx?gNa=<%# Eval("groupName") %>&gid=<%# Eval("groupId") %>&sid=<%=Session.SessionID %>">
                                            <asp:Label ID="lblEdit" ToolTip="Edit group rights" Text='Module Rights' runat="server"></asp:Label>
                                        </a>                                        
                                        <asp:Label ID="lblslash" runat="server" Text="&nbsp;/&nbsp;"></asp:Label>
                                        <a href="TA_UI_Master_DashboardRights.aspx?gNa=<%# Eval("groupName") %>&gid=<%# Eval("groupId") %>&sid=<%=Session.SessionID %>">
                                            <asp:Label ID="lblDashboard" ToolTip="Edit group rights" Text='Dashboard Rights' runat="server"></asp:Label>
                                        </a>&nbsp;
                                        <asp:Label ID="lblSep" Text="/" runat="server"></asp:Label>
                                        &nbsp; 
                                        <a href="TA_UI_Master_usergroups_del.aspx?gNa=<%# Eval("groupName") %>&gid=<%# Eval("groupId") %>&sid=<%=Session.SessionID %>"
                                            onclick="return confirm(SureToDelete)">
                                            <asp:Label ID="lblDele" Text='Delete' ToolTip="Delete group rights" runat="server"></asp:Label>
                                        </a>
                                    </div>
                                </ItemTemplate>
                                <ItemStyle HorizontalAlign="Center" />
                                <HeaderStyle HorizontalAlign="center" Wrap="true" />
                            </asp:TemplateField>
                        </Columns>
                        <EmptyDataTemplate>
                            <asp:Label ID="lblNoRecords" runat="server" OnLoad="GetEmptyText"></asp:Label>
                        </EmptyDataTemplate>
                        <RowStyle Height="30px" CssClass="table-bg" BorderColor="#C5DFFC" />
                        <PagerStyle Font-Overline="False" HorizontalAlign="Right" CssClass="GridPager" />
                        <PagerSettings FirstPageText="<<" LastPageText=">>" Mode="NumericFirstLast" NextPageText=">"
                            PreviousPageText="<" />
                        <AlternatingRowStyle BackColor="white" />
                        <HeaderStyle HorizontalAlign="Left" ForeColor="Black" />
                    </asp:GridView>
                    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="selectUserGroup"
                        TypeName="userRightsEventData">
                        <SelectParameters>
                            <asp:ControlParameter ControlID="txt_GroupName" PropertyName="Text" Type="string"
                                Name="GroupName" />
                        </SelectParameters>
                    </asp:ObjectDataSource>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        var MaxLength = "Maximum length is ";
        var SureToDelete = "Are you Sure to Delete?";
        function MaxLengthh(maxLength, sureToDelete) {
            MaxLength = maxLength;
            SureToDelete = sureToDelete;
        }
    </script>
</asp:Content>
